v.lidar.edgedetection(1)

NAME
v.lidar.edgedetection - Detect the object's edges from a LIDAR data set.

KEYWORDS
vector, LIDAR, edges

SYNOPSIS
v.lidar.edgedetection
v.lidar.edgedetection help
v.lidar.edgedetection input=name output=name [database=string] [driver=string] [see=float] [sen=float] [lambda_g=float] [tgh=float] [tgl=float] [theta_g=float] [lambda_r=float] [--overwrite]

  Flags:

--overwrite

  Parameters:

input=name
    Name of input vector map

output=name
    Name for output vector map

database=string
    Database name

driver=string
    Driver name Options: dbf,pg,ogr

see=float
    Interpolation spline step value in east direction Default: 4

sen=float
    Interpolation spline step value in north direction Default: 4

lambda_g=float
    Regularization weight in gradient evaluation Default: 0.01

tgh=float
    High gradient threshold for edge classification Default: 6

tgl=float
    Low gradient threshold for edge classification Default: 3

theta_g=float
    Angle range for same direction detection Default: 0.26

lambda_r=float
    Regularization weight in residual evaluation Default: 2

DESCRIPTION
v.lidar.edgedetection is the first of three step to filter LIDAR data. It detects the edge of each single feature over the terrain surface of a LIDAR point surface. First of all, those points with a high gradient value are determined. Then, it is valued the difference between the observation of those points and a generic interpolated surface with splines. If the difference is positive, then the point could supposed to be inside the object, else the point could supposed to be outside the object. The final output will be a vector map in which points has been classified as TERRAIN, EDGE or UNKNOWN. This output will be the input of v.lidar.growing module.

NOTES
In this module, an external table will be created which will be useful for the next module of the procedure of LIDAR data filtering. In this table the interpolated height values of each point will be recorded. The final result of the whole procedure (v.lidar.edgedetection, v.lidar.growing, v.lidar.correction) will be a point classification in four categories:
TERRAIN SINGLE PULSE
TERRAIN DOUBLE PULSE
OBJECT SINGLE PULSE
OBJECT DOUBLE PULSE

EXAMPLES
Basic edge detection
v.lidar.edgedetection input=vector_last output=edge see=8 sen=8 lambda_g=0.5

SEE ALSO
v.lidar.growing, v.lidar.correction

AUTHORS
Original version of program in GRASS 5.4:
Maria Antonia Brovelli, Massimiliano Cannata, Ulisse Longoni and Mirko Reguzzoni
Update for GRASS 6.X:
Roberto Antolin and Gonzalo Moreno

Last changed: $Date: 2006/08/22 21:24:11 $

Full index